Update an annotation
curl --request PUT \
--url https://api.vantage.sh/v2/annotations/{annotation_token} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"date": "2023-12-25",
"message": "<string>",
"report_tokens": [
"<string>"
]
}
'import requests
url = "https://api.vantage.sh/v2/annotations/{annotation_token}"
payload = {
"title": "<string>",
"date": "2023-12-25",
"message": "<string>",
"report_tokens": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
date: '2023-12-25',
message: '<string>',
report_tokens: ['<string>']
})
};
fetch('https://api.vantage.sh/v2/annotations/{annotation_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "issue_f05d884fed1221e5",
"title": "Migration rescheduled",
"report_tokens": [
"rprt_7ed0e557ae72559d",
"rprt_3f5eebef4caea173"
],
"date": "2026-08-14",
"message": "Infrastructure migration rescheduled"
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}Annotations
Update an annotation
Update an Annotation.
PUT
/
annotations
/
{annotation_token}
Update an annotation
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The token of the Annotation.
Body
application/json
Response
Annotation updated successfully.
Annotation model
The unique token identifying the Annotation.
The title of the Annotation.
The tokens of the Reports associated with the Annotation.
The date of the Annotation. ISO 8601 formatted.
Example:
"2026-08-12"
The message of the Annotation.
⌘I